package com.oliviertech.example;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class DateStringFormatting {

	public static void main(String[] argv){
		String dateString = "2017-05-09";

		String pattern = "yyyy-MM-dd";
		SimpleDateFormat simpleDateFormat = new SimpleDateFormat(pattern);
		
		Date date = null;
		
		try {
			date = simpleDateFormat.parse( dateString );
		} catch (ParseException e) {
			e.printStackTrace();
		}
		
		System.out.println( "Formatted date: " + date ); 
	}
	
}